* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  background: #fff;
}

/* HERO SECTION */
.hero {
  width: 100%;
  height: 85vh;
  position: relative;
  overflow: hidden;
  border-bottom: 1px solid rgba(0, 0, 0, 0.5);
}


.hero-bg {
  position: absolute;
  inset: 0; /* top:0; right:0; bottom:0; left:0 */
  background-size: cover;
  background-position: center;
  opacity: 0;
  transition: opacity 1.8s ease-in-out; /* same feel as your bottom slider */
  z-index: 0;
}

.hero-bg.active {
  opacity: 1;
}


.hero::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.3);
  z-index: 1;
}

.hero-text,
nav {
  position: relative;
  z-index: 2;
}

/* NAVBAR */
nav {
  width: 100%;
  display: flex;
  background-color: rgba(255, 255, 255, 0.05);
  justify-content: space-between;
  align-items: center;
  padding: 25px 50px;
  position: absolute;
  top: 0;
  left: 0;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

nav .logo {
  font-size: clamp(20px, 2.8vw, 28px);
  font-weight: 50;
  color: rgb(255, 255, 255);
  letter-spacing: 1px;
}

.logo img {
    height: 50px;     /* adjust size */
    width: auto;      /* keeps proportions */
    margin-right: 10px; 
    vertical-align: middle;
}


nav ul {
  display: flex;
  gap: 40px;
  list-style: none;
}

nav ul li a {
  text-decoration: none;
  color: white;
  font-size: 18px;
  transition: 0.9s ease;
}

nav ul li a:hover {
  color: #e0e0e0;
}

/* HAMBURGER (for mobile) */
.hamburger {
  display: none;
  flex-direction: column;
  gap: 6px;
  cursor: pointer;
}

.hamburger div {
  width: 28px;
  height: 3px;
  background: white;
}

/* HERO TEXT */
.hero-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 3;
}

.hero-text h1 {
  font-size: 70px;
  font-weight: 10;
  margin-bottom: 20px;
  color:rgba(255, 255, 255, 0.8);
  text-shadow: 0px 0px 2px rgba(0,0,0,0.09);
}

.hero-text p {
  font-size: 19px;
  color:rgba(255, 255, 255, 0.8);
  text-shadow: 0px 0px 2px rgba(0,0,0,0.0);
}

/* RESPONSIVE */
@media (max-width: 768px) {
  nav ul {
    display: none;
    position: absolute;
    top: 80px;
    right: 15px;
    background: rgba(0, 0, 0, 0.6);
    flex-direction: column;
    padding: 20px;
    border-radius: 10px;
  }

  nav ul.show {
    display: flex;
  }

  .hamburger {
    display: flex;
  }

  .hero-text h1 {
    font-size: 45px;
  }
}



/* Welcome Section */
.welcome-section {
    text-align: center;
    padding: 60px 20px;
    padding-top: 35px;
    background: white;
    background: url('/images/honeybee54.png') center/cover no-repeat;
    
}

.welcome-section h2 {
    font-size: clamp(45px, 6.5vw, 60px);
    margin-bottom: 20px;
    font-family: 'Microsoft JhengHei Light', Orbitron, sans-serif;
    font-weight: 50;
    color: rgba(255, 255, 255, 1.0);
    padding: 10px;
    background-color:rgba(0, 0, 0, 1.0);
    width: 100%;
    border-radius: 5px;
}

.intro {
  width: 100%;
  height: auto;
}

.intro p {
    font-size: clamp(18px, 2.1vw, 21px);
    justify-self: auto;
    padding: 20px;
    color:rgb(255, 255, 255);
    font-family: Microsoft JhengHei Light;
    width: 100%;
    background-color: rgb(0, 173, 150);
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(90, 90, 90, 0.2);
}

/* Card Container */
.welcome-cards {
    display: flex;
    justify-content: center;
    gap: 60px;
    flex-wrap: wrap;
    margin-top: 50px;
}

/* Each Card */
.welcome-card {
    background: rgba(0, 0, 0, 1.0);
    width: 350px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    transition: transform 0.6s ease;
    border: 0px solid rgb(179, 179, 179);
}

.welcome-card:hover {
    transform: translateY(-2px);
}

/* Card Image */
.welcome-card img {
    width: 100%;
    height: 236px;
    object-fit: cover;
}

/* Card Text */
.welcome-card h3 {
    font-size: 1.6rem;
    font-weight: 10;
    margin: 20px 0 10px;
    color: #01f0bc;
}

.welcome-card p {
    padding: 0 20px 20px;
    font-size: 1rem;
    color: #d8d8d8;
    line-height: 1.5;
}

/* Mobile Responsiveness */
@media (max-width: 768px) {
    .welcome-cards {
        flex-direction: column;
        align-items: center;
    }

    .welcome-card {
        width: 90%;
        max-width: 380px;
    }
}


/* MAIN SECTION */
.slanted-hero {
    position: relative;
    width: 100%;
    height: 70vh;
    background: url('/images/hotelpics/dining.jpg') center/cover no-repeat;
    overflow: hidden;
    opacity: 0;
    transform: translateX(0);
    transition: all 1.2s ease-out;
}

/* Whole section visible after animation */
.slanted-hero.active {
    opacity: 1;
    transform: translateX(0);
}


/* SLANTED DARK TINT */
.slanted-overlay {
    position: absolute;
    right: 0;
    width: 70%;
    height: 100%;
    background: rgba(0,0,0,0.45);
    clip-path: polygon(100% 0, 0 0, 30% 100%, 100% 100%);
    opacity: 0;
    transform: translateX(120px);
    transition: all 1.4s ease-out;
}

/* When activated */
.slanted-overlay.active {
    opacity: 1;
    transform: translateX(0);
}

/* TEXT */
.slanted-content {
    position: absolute;
    top: 50%;
    right: 4%;
    transform: translateY(-50%) translateX(120px);
    color: white;
    z-index: 10;
    opacity: 0;
    max-width: 40%;
    transition: all 1.5s ease-out;
}

/* Active text animation */
.slanted-content.active {
    opacity: 1;
    transform: translateY(-50%) translateX(0);
}

.slanted-content h1 {
    font-size: clamp(33px, 4.9vw, 60px);
    font-weight: 100;
    line-height: 1.2;
}

@media (max-width: 768px) {

    .slanted-hero {
        height: 60vh;
    }

    /* Keep a soft slanted shape */
    .slanted-overlay {
        width: 100%;
        clip-path: polygon(100% 0, 0 0, 0% 100%, 100% 100%);
    }

    .slanted-content {
        max-width: 95%;
        left: 5%;
        transform: translateY(-50%) translateX(120px);
        text-align: left;
    }

    .slanted-content.active {
        transform: translateY(-50%) translateX(0);
    }

    .slanted-content h1 {
        font-size: 33px;
        line-height: 1.3;
    }
}





.about-section {
    width: 100%;
    height: auto;
    padding: 40px 0px;
    background: url('/images/back.png');
    display: flex;
    justify-content: center;
}

.about-container {
    width: 90%;
    display: flex;
    align-items: center;
    gap: 40px;
}

.about-image img {
    width: 100%;
    max-width: 650px;
    min-width: 430px;
    border-radius: 2px;
   
}

.about-text {
    flex: 1;
    width: 100%;
    height: 400px auto;
    
}

.about-text h2 {
    font-size: 58px;
    font-weight: 100;
    margin-bottom: 20px;
    color: rgba(0, 114, 61, 0.8);
}

.about-text p {
    font-size: 21px;
    line-height: 1.7;
    color: rgba(0, 0, 0, 0.6);
}

/* Mobile responsiveness */
@media (max-width: 768px) {
    .about-container {
        flex-direction: column;
        text-align: center;
        gap: 25px;
    }

    .about-text h2 {
        font-size: 30px;
    }

    .about-text p {
        font-size: 16px;
    }

    .about-image img {
        max-width: 280px;
    }
}




/* Slider Container */
.image-slider {
    position: relative;
    align-content: center;
    padding: 50px;
    width: 100%;
    height: 80vh;
    overflow: hidden;
}

/* All slides */
.slides {
    position: relative;
    width: 100%;
    height: 100%;
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 1.8s ease-in-out;
}

.slide.active {
    opacity: 1;
}

/* Slide Images */
.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Slide Text */
.slide-text {
    position: absolute;
    bottom: 50px;
    left: 50px;
    color: white;
    font-size: clamp(30px, 4.0vw, 41px);
    font-weight: 500;
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 1.5s ease, transform 1s ease;
}

/* Active text animation */
.slide.active .slide-text {
    opacity: 1;
    transform: translateY(0);
}

/* Navigation arrows */
.slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.05);
    border: none;
    color: white;
    font-size: 2.5rem;
    cursor: pointer;
    padding: 10px 15px;
    border-radius: 9px;
    transition: background 0.3s ease;
}

.slider-btn:hover {
    background: rgba(0, 0, 0, 0.1);
}

.prev {
    left: 90px;
}

.next {
    right: 90px;
}

footer {
  background: #000;
  color: #fff;
  text-align: center;
  padding: 20px 10px;
}

.developer {
  font-size: 10px;
  color: grey;
}

.social-icons {
  display: flex;
  justify-content: center;
  gap: 20px;
  padding: 15px 0;
}

.social-icons a {
  color: white;
  font-size: 22px;
  transition: 0.3s;
}

.social-icons a:hover {
  color: rgb(0, 236, 253);
  transform: scale(1.1);
}
